> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Virtual Account

> Update an existing virtual bank account's developer fee percentage and destination wallet address



## OpenAPI

````yaml PUT /v1/customers/virtual-account
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/customers/virtual-account:
    put:
      tags:
        - Virtual Accounts
      summary: Update Virtual Account
      description: >-
        Update an existing virtual bank account's developer fee percentage and
        destination wallet address
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - id
                - customer_id
              properties:
                id:
                  type: string
                  format: uuid
                  example: f8715e46-f46a-41dc-94ec-bd9797683510
                customer_id:
                  type: string
                  format: uuid
                  example: 22c6b566-5ecc-49b7-b812-076c64735596
                developer_fee_percentage:
                  type: number
                  example: 1.25
                destination_wallet_address:
                  type: string
                  example: '0x7f1568190e318da16a9ef5a46cba19d5b97d9b29'
      responses:
        '200':
          description: Virtual account updated successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/VirtualAccount'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    VirtualAccount:
      type: object
      required:
        - id
        - status
        - developer_fee_percent
        - customer_id
        - created_at
        - updated_at
        - deposit_instructions
        - destination
      properties:
        id:
          type: string
          format: uuid
          example: 92eceee4-ec6a-4fe3-a224-f5914cabe001
        status:
          type: string
          example: ACTIVE
        developer_fee_percent:
          type: number
          example: 1.65
        customer_id:
          type: string
          format: uuid
          example: 196ce546-900d-4294-90ca-5546a5923f35
        created_at:
          type: string
          format: date-time
          example: '2025-12-22T06:09:23.456895Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-12-22T06:09:23.456895Z'
        deposit_instructions:
          type: object
          properties:
            currency:
              type: string
              example: USD
            bank_name:
              type: string
              example: Bank of Nowhere
            bank_address:
              type: string
              example: 1800 North Pole St., Orlando, FL 32801
            bank_routing_number:
              type: string
              example: '101019644'
            bank_account_number:
              type: string
              example: '900336047672'
            bank_beneficiary_name:
              type: string
              example: Portgas D Ace
            bank_beneficiary_address:
              type: string
              example: 321 British Columbia City, British Columbia, BC V0C 1Y0, CA
            payment_rails:
              type: array
              items:
                type: string
              example:
                - ACH
                - FEDWIRE
        destination:
          type: object
          properties:
            currency:
              type: string
              enum:
                - USDC
              default: USDC
            destination_chain:
              type: string
              enum:
                - POLYGON
                - ETHEREUM
            address:
              type: string
              example: '0x7f1568190e318da16a9ef5a46cba19d5b97d9b29'
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````